---
title: "Lodgement Case Summary V3"
url: "https://developer.pexa.co.uk/apis/lodgement-v3-v3/versions/36a70223-1b6a-4258-8121-37db0f9b4edb/operations/getLodgementCaseSummaryV3"
---

> Full API specification: https://developer.pexa.co.uk/apis/lodgement-v3-v3/versions/36a70223-1b6a-4258-8121-37db0f9b4edb.md

# Lodgement Case Summary V3

`GET` `/partner/api/platformconnect/v3/lodgement-cases`

Operation ID: `getLodgementCaseSummaryV3`

This API is to get the lodgement case summary for an existing workspace. This version supports expanded application types (CHANGE_OF_NAME, CANCEL_A_RESTRICTION, TRANSFER_OF_WHOLE, DISCHARGE), enhanced document structure with certification type, and extended party roles.

## Query parameters

- `workspace_id` (string, uuid, required) - workspace-id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Lodgement
  version: v3.0.0
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v3/lodgement-cases:
    get:
      tags:
        - LodgementCaseV3
      summary: Lodgement Case Summary V3
      description: This API is to get the lodgement case summary for an existing
        workspace. This version supports expanded application types
        (CHANGE_OF_NAME, CANCEL_A_RESTRICTION, TRANSFER_OF_WHOLE, DISCHARGE),
        enhanced document structure with certification type, and extended party
        roles.
      security:
        - oauth2:
            - x-api:view:lodgement_summary
            - view:lodgement_cases
            - view:lodgement_documents
            - view:lodgement_titles
      operationId: getLodgementCaseSummaryV3
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - in: query
          name: workspace_id
          description: workspace-id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      required:
                        - lodgementCaseId
                        - lodgementCaseStatus
                      type: object
                      properties:
                        lodgementCaseId:
                          type: string
                          format: uuid
                        lodgementCaseStatus:
                          readOnly: true
                          type: string
                          pattern: ^(CREATED|PREPARED|INITIATED|LODGED|REGISTERED|REQUISITIONED|REQUISITION_SUBMITTED|PARTIALLY_REGISTERED|REGISTRATION_REJECTED|REGISTERED_EXTERNALLY|RESUBMISSION_PREPARED)$
                          description: >
                            Allowed values: [`CREATED`, `PREPARED`, `INITIATED`,
                            `LODGED`, `REGISTERED`, `REQUISITIONED`,
                            `REQUISITION_SUBMITTED`, `PARTIALLY_REGISTERED`,
                            `REGISTRATION_REJECTED`, `REGISTERED_EXTERNALLY`,
                            `RESUBMISSION_PREPARED`]
                        workspaceId:
                          type: string
                          format: uuid
                        workspaceReferenceId:
                          type: string
                        lastTitleSearchStatus:
                          type: string
                          pattern: ^(INITIATED|PENDING|SUCCESS|FAILED)$
                          description: >
                            Allowed values: [`INITIATED`, `PENDING`, `SUCCESS`,
                            `FAILED`]
                        transactionType:
                          type: string
                          pattern: ^(PURCHASE|REMORTGAGE)$
                          description: |
                            Allowed values: [`PURCHASE`, `REMORTGAGE`]
                        applications:
                          type: array
                          items:
                            type: object
                            properties:
                              applicationId:
                                type: string
                                format: uuid
                                readOnly: true
                              applicationType:
                                type: string
                                example: MORTGAGE_DEED
                              status:
                                readOnly: true
                                type: string
                              submittedAt:
                                type: string
                                format: date-time
                              auditAttributes:
                                type: object
                                properties:
                                  createdAt:
                                    type: string
                                    format: date-time
                                  createdBy:
                                    type: string
                                  lastModifiedAt:
                                    type: string
                                    format: date-time
                                  lastModifiedBy:
                                    type: string
                              documents:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    documentId:
                                      type: string
                                      format: uuid
                                      readOnly: true
                                    documentType:
                                      type: string
                                      example: MORTGAGE_DEED
                                    documentCategory:
                                      type: string
                                      example: APPLICATION
                                    certificationType:
                                      type: string
                                      pattern: (CERTIFIED|ORIGINAL|SCANNED)
                                      example: CERTIFIED
                                      description: >
                                        Allowed values: [`CERTIFIED`,
                                        `ORIGINAL`, `SCANNED`]
                                    file:
                                      type: object
                                      properties:
                                        fileId:
                                          type: string
                                          format: uuid
                                          readOnly: true
                                        fileName:
                                          type: string
                                          example: sample_document.pdf
                                        fileUploadStatus:
                                          type: string
                                          pattern: (SUCCESS|PENDING|VIRUS_FOUND|FAILED)
                                          example: SUCCESS
                                          description: >
                                            Allowed values: [`SUCCESS`,
                                            `PENDING`, `VIRUS_FOUND`, `FAILED`]
                                        auditAttributes:
                                          type: object
                                          properties:
                                            createdAt:
                                              type: string
                                              format: date-time
                                            createdBy:
                                              type: string
                                            lastModifiedAt:
                                              type: string
                                              format: date-time
                                            lastModifiedBy:
                                              type: string
                              attributes:
                                oneOf:
                                  - allOf:
                                      - type: object
                                        properties:
                                          applicationType:
                                            type: string
                                        discriminator:
                                          propertyName: applicationType
                                          mapping:
                                            MORTGAGE_DEED: "#/components/schemas/MortgageDeedAttributesV3"
                                            TRANSFER_OF_WHOLE: "#/components/schemas/TransferOfWholeAttributesV3"
                                            CANCEL_A_RESTRICTION: "#/components/schemas/CancelARestrictionAttributesV3"
                                            DISCHARGE: "#/components/schemas/DischargeAttributesV3"
                                      - type: object
                                    type: object
                                    properties:
                                      transactionValue:
                                        type: number
                                        example: 100
                                      landRegistryFee:
                                        type: number
                                        example: 100
                                        readOnly: true
                                      mortgageDeedReference:
                                        type: string
                                        example: DN100
                                      mortgageDeedReferenceType:
                                        type: string
                                        pattern: ^(STANDARD|DIGITAL)$
                                        example: STANDARD
                                        description: |
                                          Allowed values:
                                            [`STANDARD`, `DIGITAL`]
                                      isEffective:
                                        type: boolean
                                        example: true
                                      signature:
                                        type: object
                                        required:
                                          - format
                                          - type
                                        properties:
                                          format:
                                            type: string
                                            pattern: ^(MANUAL|ELECTRONIC)$
                                          type:
                                            type: string
                                            pattern: ^(WET_INK_SIGNATURE|CONVEYANCER_CERTIFIED_ELECTRONIC_SIGNATURE|ADVANCED_ELECTRONIC_SIGNATURE)$
                                  - allOf:
                                      - type: object
                                        properties:
                                          applicationType:
                                            type: string
                                        discriminator:
                                          propertyName: applicationType
                                          mapping:
                                            MORTGAGE_DEED: "#/components/schemas/MortgageDeedAttributesV3"
                                            TRANSFER_OF_WHOLE: "#/components/schemas/TransferOfWholeAttributesV3"
                                            CANCEL_A_RESTRICTION: "#/components/schemas/CancelARestrictionAttributesV3"
                                            DISCHARGE: "#/components/schemas/DischargeAttributesV3"
                                      - type: object
                                    type: object
                                    properties:
                                      transactionValue:
                                        type: number
                                        example: 100
                                      landRegistryFee:
                                        type: number
                                        example: 100
                                        readOnly: true
                                      considerationType:
                                        type: string
                                        pattern: ^(MONETARY_CONSIDERATION|NO_MONETARY_CONSIDERATION|TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME)$
                                        description: |
                                          Allowed values: [`MONETARY_CONSIDERATION`, `NO_MONETARY_CONSIDERATION`, `TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME`]
                                        example: MONETARY_CONSIDERATION
                                  - allOf:
                                      - type: object
                                        properties:
                                          applicationType:
                                            type: string
                                        discriminator:
                                          propertyName: applicationType
                                          mapping:
                                            MORTGAGE_DEED: "#/components/schemas/MortgageDeedAttributesV3"
                                            TRANSFER_OF_WHOLE: "#/components/schemas/TransferOfWholeAttributesV3"
                                            CANCEL_A_RESTRICTION: "#/components/schemas/CancelARestrictionAttributesV3"
                                            DISCHARGE: "#/components/schemas/DischargeAttributesV3"
                                      - type: object
                                    type: object
                                    properties:
                                      restrictionType:
                                        type: string
                                        example: FORM_A
                                        description: |
                                          Allowed values: [`FORM_A`]
                                  - allOf:
                                      - type: object
                                        properties:
                                          applicationType:
                                            type: string
                                        discriminator:
                                          propertyName: applicationType
                                          mapping:
                                            MORTGAGE_DEED: "#/components/schemas/MortgageDeedAttributesV3"
                                            TRANSFER_OF_WHOLE: "#/components/schemas/TransferOfWholeAttributesV3"
                                            CANCEL_A_RESTRICTION: "#/components/schemas/CancelARestrictionAttributesV3"
                                            DISCHARGE: "#/components/schemas/DischargeAttributesV3"
                                      - type: object
                                    type: object
                                    properties:
                                      chargeIdentifier:
                                        type: string
                              parties:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    partyId:
                                      type: string
                                      format: uuid
                                      readOnly: true
                                    type:
                                      type: string
                                      pattern: ^(INDIVIDUAL|ORGANISATION)$
                                      example: INDIVIDUAL
                                      description: >
                                        Allowed values: [`INDIVIDUAL`,
                                        `ORGANISATION`]
                                    role:
                                      type: array
                                      items:
                                        type: string
                                        pattern: ^(INCOMING_LENDER|BORROWER|PROPRIETOR|TRANSFEREE|TRANSFEROR|OUTGOING_LENDER)$
                                        description: >
                                          Allowed values: [`INCOMING_LENDER`,
                                          `BORROWER`, `PROPRIETOR`,
                                          `TRANSFEREE`, `TRANSFEROR`,
                                          `OUTGOING_LENDER`]
                                        example: "[BORROWER]"
                                    partyDetails:
                                      type: object
                                      properties:
                                        type:
                                          type: string
                                          pattern: ^(INDIVIDUAL|ORGANISATION)$
                                          example: INDIVIDUAL
                                          description: >
                                            Allowed values: [`INDIVIDUAL`,
                                            `ORGANISATION`]
                                      discriminator:
                                        propertyName: type
                                        mapping:
                                          INDIVIDUAL: "#/components/schemas/LodgementIndividualPartyDetailsV3"
                                          ORGANISATION: "#/components/schemas/LodgementOrganisationPartyDetailsV3"
                        auditAttributes:
                          type: object
                          properties:
                            createdAt:
                              type: string
                              format: date-time
                            createdBy:
                              type: string
                            lastModifiedAt:
                              type: string
                              format: date-time
                            lastModifiedBy:
                              type: string
                        titles:
                          type: array
                          items:
                            required:
                              - titleId
                              - titleNumber
                            type: object
                            properties:
                              titleId:
                                type: string
                                format: uuid
                              titleNumber:
                                type: string
                                example: DN100
                              initialEditionDate:
                                type: string
                                format: date
                                example: 2024-01-15
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:view:lodgement_summary
      - view:lodgement_cases
      - view:lodgement_documents
      - view:lodgement_titles
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:view:lodgement_summary: View lodgement summary
            view:lodgement_cases: View lodgement cases
            view:lodgement_documents: View lodgement documents
            view:lodgement_titles: View lodgement titles
```
